.root {
  display: flex;
  flex-direction: column;
}

.form {
  display: flex;
  flex-direction: column;
  gap: 24px;
}

.inputGroup {
  display: flex;
  gap: 12px;
}

.inputWrap {
  flex-grow: 1;
  display: flex;
  flex-direction: column;
}

.invalidInputText {
  text-align: left;
  color: var(--accent);
  font: var(--font-p2);
  align-self: self-start;
}

.input {
  width: 100%;
  border: 1px solid var(--text-secondary);
  padding: 14px 16px;
  border-radius: 12px;

  &:focus {
    outline: 1px solid var(--blue);
  }

  &-failed {
    border: 1px solid var(--accent);

    &:focus {
      outline: 1px solid var(--accent);
    }
  }
}
